System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable System.Runtime.Serialization.ISerializable System.ComponentModel.TypeConverter(typeof(System.Drawing.FontConverter)) System.ComponentModel.Editor("System.Drawing.Design.FontEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.Runtime.InteropServices.ComVisible(true)

For more information about how to construct fonts, see How To: Construct Font Families and Fonts. Windows Forms applications support TrueType fonts and have limited support for OpenType fonts. If you attempt to use a font that is not supported, or the font is not installed on the machine that is running the application, the Microsoft Sans Serif font will be substituted.

Defines a particular format for text, including font face, size, and style attributes. This class cannot be inherited.

- Constructor

  For localized applications that are based on the dnprdnlong and earlier releases, specifying a font for when that font has not been installed on the computer that is used to build your application will cause the Microsoft Sans Serif font to be used instead. If your application depends on this behavior and you must recompile your application for the .NET Framework 3.0, you should specify the Microsoft Sans Serif font for .

  Initializes a new that uses the specified existing and enumeration.

  The existing from which to create the new .
  The to apply to the new . Multiple values of the enumeration can be combined with the OR operator.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to and its property set to .

  Initializes a new using a specified size.

  The of the new .
  The em-size, in points, of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to and its property set to . Windows Forms applications support TrueType fonts and have limited support for OpenType fonts. If the parameter specifies a font that is not installed on the machine running the application or is not supported, Microsoft Sans Serif will be substituted.

  Initializes a new using a specified size.

  A string representation of the for the new .
  The em-size, in points, of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to .

  Initializes a new using a specified size and style.

  The of the new .
  The em-size, in points, of the new font.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to .

  Initializes a new using a specified size and unit. Sets the style to .

  The of the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to . Windows Forms applications support TrueType fonts and have limited support for OpenType fonts. If the parameter specifies a font that is not installed on the machine running the application or is not supported, Microsoft Sans Serif will be substituted.

  Initializes a new using a specified size and style.

  A string representation of the for the new .
  The em-size, in points, of the new font.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The resulting font has its property set to .

  Initializes a new using a specified size and unit. The style is set to .

  A string representation of the for the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new using a specified size, style, and unit.

  The of the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  Windows Forms applications support TrueType fonts and have limited support for OpenType fonts. If the parameter specifies a font that is not installed on the machine running the application or is not supported, Microsoft Sans Serif will be substituted.

  Initializes a new using a specified size, style, and unit.

  A string representation of the for the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The parameter takes a value from the list defined in the Windows SDK header file WinGDI.h.

  Initializes a new using a specified size, style, unit, and character set.

  The of the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  A that specifies a
  1.0.5000.0
  2.0.0.0
- Constructor

  The parameter takes a value from the list defined in the Windows SDK header file WinGDI.h. Windows Forms applications support TrueType fonts and have limited support for OpenType fonts. If the parameter specifies a font that is not installed on the machine running the application or is not supported, Microsoft Sans Serif will be substituted.

  Initializes a new using a specified size, style, unit, and character set.

  A string representation of the for the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  A that specifies a ndptecgdi character set to use for this font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The parameter takes a value from the list defined in the Windows SDK header file WinGDI.h.

  Initializes a new using a specified size, style, unit, and character set.

  The of the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  A that specifies a
  A Boolean value indicating whether the new font is derived from a ndptecgdi vertical font.
  1.0.5000.0
  2.0.0.0
- Constructor

  The parameter takes a value from the list defined in the Windows SDK header file WinGDI.h. If the parameter specifies a font that is not installed on the machine running the application or is not supported, Microsoft Sans Serif will be substituted.

  Initializes a new using the specified size, style, unit, and character set.

  A string representation of the for the new .
  The em-size of the new font in the units specified by the parameter.
  The of the new font.
  The of the new font.
  A that specifies a ndptecgdi character set to use for this font.
  A Boolean value indicating whether the new is derived from a ndptecgdi vertical font.
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether this is bold.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Object To be added

  Creates an exact copy of this .

  The this method creates, cast as an .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this to be reallocated for other purposes.

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified object is a and has the same , , , , , and property values as this .

  true if the parameter is a and has the same , , , , , and property values as this ; otherwise, false.

  The object to test. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.FontFamily To be added: an object of type 'FontFamily'

  A represents a group of fonts that have a similar font face, but may have different sizes and styles (for example, Arial, Times New Roman, and Verdana).

  Gets the associated with this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  System.Drawing.Font ``

  For this method to work, the parameter must contain a handle to a device context in which a font is selected. This method will not work with an handle acquired from a ndptecgdiplus object because the handle does not have a font selected.

  Creates a from the specified Windows handle to a device context.

  The this method creates.

  A handle to a device context. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Font `` To be added

  Creates a from the specified Windows handle.

  The this method creates.

  A Windows handle to a ndptecgdi font. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Font ``

  A ndptecgdi LOGFONT, or logical font, is a structure that contains 14 properties that describe a particular font. For more information, see "The Logical Font" in the Windows Development documentation at http://msdn.microsoft.com/library.

  Creates a from the specified GDI logical font (LOGFONT) structure.

  The that this method creates.

  An that represents the ndptecgdi LOGFONT structure from which to create the . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Font `` ``

  A ndptecgdi LOGFONT, or logical font, is a structure that contains 14 properties that describe a particular font. For more information, see "The Logical Font" in the Windows Development documentation at http://msdn.microsoft.com/library.

  Creates a from the specified GDI logical font (LOGFONT) structure.

  The that this method creates.

  An that represents the ndptecgdi LOGFONT structure from which to create the . A handle to a device context that contains additional information about the structure. 1.0.5000.0 2.0.0.0
- Property
  System.Byte To be added: an object of type 'byte'

  This property returns 1, unless a different character set is specified in the constructor. This property takes a value from the list defined in the Windows SDK header file WinGDI.h. The character sets and byte values are listed in the following table.

  Character set

  Value

  ANSI

  0

  DEFAULT

  1

  SYMBOL

  2

  SHIFTJIS

  128

  HANGEUL

  129

  HANGUL

  129

  GB2312

  134

  CHINESEBIG5

  136

  OEM

  255

  JOHAB

  130

  HEBREW

  177

  ARABIC

  178

  GREEK

  161

  TURKISH

  162

  VIETNAMESE

  163

  THAI

  222

  EASTEUROPE

  238

  RUSSIAN

  204

  MAC

  77

  BALTIC

  186

  Gets a byte value that specifies the GDI character set that this uses.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Boolean To be added: an object of type 'bool'

  Use this property to determine if a font is compatible with native Win32 controls on non-Unicode platforms.

  only returns true if this font was created from a classic GDI

  font definition, like a LOGFONT or HFONT.

  Gets a Boolean value that indicates whether this is derived from a GDI vertical font.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Int32 To be added

  Gets the hash code for this .

  The hash code for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Single

  The line spacing of a is the vertical distance between the base lines of two consecutive lines of text. Thus, the line spacing includes the blank space between lines along with the height of the character itself.

  If the property of the font is set to anything other than , the height (in pixels) is calculated using the vertical resolution of the screen display. For example, suppose the font unit is inches and the font size is 0.3. Also suppose that for the corresponding font family, the em-height is 2048 and the line spacing is 2355. For a screen display that has a vertical resolution of 96 dots per inch, you can calculate the height as follows:

  2355*(0.3/2048)*96 = 33.11719

  Returns the line spacing, in pixels, of this font.

  The line spacing, in pixels, of this font.

  1.0.5000.0
  2.0.0.0
- Method
  System.Single ``

  The line spacing of a is the vertical distance between the base lines of two consecutive lines of text. Thus, the line spacing includes the blank space between lines along with the height of the character itself.

  If the property of the font is set to anything other than , the height, in pixels, is calculated using the vertical resolution of the specified object. For example, suppose the font unit is inches and the font size is 0.3. Also suppose that for the corresponding font family, the em-height is 2048 and the line spacing is 2355. If the object has a property value of and a property value of 96 dots per inch, the height is calculated as follows:

  2355*(0.3/2048)*96 = 33.1171875

  Continuing with the same example, suppose the property of the object is set to rather than . Then (using 1 inch = 25.4 millimeters) the height, in millimeters, is calculated as follows:

  2355*(0.3/2048)25.4 = 8.762256

  Returns the line spacing, in the current unit of a specified , of this font.

  The line spacing, in pixels, of this font.

  A that holds the vertical resolution, in dots per inch, of the display device as well as settings for page unit and page scale. 1.0.5000.0 2.0.0.0
- Method
  System.Single ``

  If the property of the font is set to anything other than , the height (in pixels) is calculated using the vertical resolution of the screen display. For example, suppose the font unit is inches and the font size is 0.3. Also suppose that for the corresponding font family, the em-height is 2048 and the line spacing is 2355. If the specified vertical resolution is 96 dots per inch, the height is calculated as follows:

  2355*(0.3/2048)*96 = 33.1171875

  Returns the height, in pixels, of this when drawn to a device with the specified vertical resolution.

  The height, in pixels, of this .

  The vertical resolution, in dots per inch, used to calculate the height of the font. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The line spacing is the vertical distance between the base lines of two consecutive lines of text. Thus, the line spacing includes the blank space between lines along with the height of the character itself.

  If the property of the font is set to anything other than , the height (in pixels) is calculated using the vertical resolution of the screen display. For example, suppose the font unit is inches and the font size is 0.3. Also suppose that for the corresponding font family, the em-height is 2048 and the line spacing is 2355. For a screen display that has a vertical resolution of 96 dots per inch, you can calculate the height as follows:

  2355*(0.3/2048)*96 = 33.11719

  The value returned by the method would be 33.11719, and the value returned by the property would be 34. The property is the value returned by , rounded up to the nearest integer.

  Gets the line spacing of this font.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Boolean To be added.

  When the user changes the system font, the property could return true, even if the font is not actually a system font. To avoid this situation, if you are using system fonts in your application, you should track user preference changes by handling the or event.

  Gets a value indicating whether the font is a member of .

- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether this font has the italic style applied.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the face name of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.Drawing.FontConverter+FontNameConverter))
  System.ComponentModel.Editor("System.Drawing.Design.FontNameEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor))
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the em-size of this measured in the units specified by the property.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets the em-size, in points, of this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether this specifies a horizontal line through the font.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Drawing.FontStyle To be added: an object of type 'FontStyle' To be added

  Gets style information for this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added.

  Populates a with the data needed to serialize the target object.

  The to populate with data. The destination (see ) for this serialization.
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.String To be added.

  The name returned by the property will be one of the members of the , converted to a string.

  Gets the name of the system font if the property returns true.

- Method
  System.IntPtr

  When using this method, you must dispose of the resulting Hfont using the ndptecgdi DeleteObject method to ensure the resources are released.

  Returns a handle to this .

  A Windows handle to this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  For more information about logical fonts, search for "LOGFONT" in the MSDN library at http://msdn.microsoft.com/library.

  Creates a GDI logical font (LOGFONT) structure from this .

  An that represents the LOGFONT structure that this method creates. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  For more information about logical fonts, search for "LOGFONT" in the MSDN library at http://msdn.microsoft.com/library.

  Creates a GDI logical font (LOGFONT) structure from this .

  An that represents the LOGFONT structure that this method creates. A that provides additional information for the LOGFONT structure. 1.0.5000.0 2.0.0.0
- Method
  System.String

  The returned string has the following format:

  [Font: Name=fontName, Size=size, Units=units, GDiCharSet=gdiCharSet, GdiVerticalFont=boolean]

  Returns a human-readable string representation of this .

  A string that represents this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether this is underlined.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.Drawing.GraphicsUnit To be added: an object of type 'GraphicsUnit' To be added

  Gets the unit of measure for this .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.Drawing.FontConverter+FontUnitConverter))